<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body text="#000000" bgcolor="#FFFFFF">
    <p>On 04/07/2019 08:30, Nomis101 🐝 wrote:<br>
    </p>
    <blockquote type="cite"
      cite="mid:4a1c2db5-082b-c747-121d-4af7c2cfece1@web.de">
      <pre class="moz-quote-pre" wrap="">I see this exacly the same. I never found any problem while downgrading Thunderbird. The first real issue after downgrading I ever
had was MOZ_BLOCK_PROFILE_DOWNGRADE. For a test I downgraded from TB 68 to 60 and even to 45.8, but could't see anything broken.</pre>
    </blockquote>
    <p>I would just like to point out that whilst "you" personally (not
      just talking about you, but those responding here in this manner)
      haven't seen any issues, that doesn't mean to say there aren't.</p>
    <p>For example, this is one I hit during Hello development:
      <a class="moz-txt-link-freetext" href="https://bugzilla.mozilla.org/show_bug.cgi?id=1092090">https://bugzilla.mozilla.org/show_bug.cgi?id=1092090</a></p>
    <p>It is a little while ago, but I think that would have affected
      any user's indexeddb database(s). Though it probably wasn't so
      widely in use at the time.</p>
    <p>Note also this section from the <a moz-do-not-send="true"
href="https://lists.mozilla.org/pipermail/dev-platform/2018-October/022933.html">original
        announcement</a> for the change:</p>
    <pre>Firefox stores all of its settings in the user’s profile and unless certain
command line arguments are used Firefox always launches with the same
profile. Periodically as Firefox upgrades it makes changes to the settings
that can render the profile unusable by earlier versions of Firefox. This
can cause anything from certain features of Firefox being broken after a
downgrade to Firefox crashing on startup.</pre>
    <p>I don't have any citations for these, but I somehow doubt we'd
      just be making this up.<br>
    </p>
    <blockquote type="cite"
      cite="mid:4a1c2db5-082b-c747-121d-4af7c2cfece1@web.de">
      <pre class="moz-quote-pre" wrap="">For beta testing and regression finding you often have to downgrade, which is now very frustrating. And it also happens very often
that a normal user is downgrading. I'm in a Mac user forum and a lot of support questions there are regarding downgrading to an older version
of any given software (because of dislike the new UI, missing features in the new version or whataver reason).</pre>
    </blockquote>
    <p>Developers can use --allow-downgrade to skip the protection. <br>
    </p>
    Mark<br>
  </body>
</html>